commit:     377404e63724561b7fe5b7b559a16893d8468bec
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu Jul  9 10:12:54 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu Jul  9 10:14:28 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=377404e6

x11-misc/fbpanel: Add python3 support, drop python2 support

- Convert build system to python3 thanks to Alexey Mishustin
- Set BDEPEND

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Closes: https://bugs.gentoo.org/731308
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 x11-misc/fbpanel/fbpanel-7.0-r2.ebuild             |  65 +++++++++++
 .../files/fbpanel-7.0-python3-shebangs.patch       | 120 +++++++++++++++++++++
 2 files changed, 185 insertions(+)

diff --git a/x11-misc/fbpanel/fbpanel-7.0-r2.ebuild 
b/x11-misc/fbpanel/fbpanel-7.0-r2.ebuild
new file mode 100644
index 00000000000..b122768dea1
--- /dev/null
+++ b/x11-misc/fbpanel/fbpanel-7.0-r2.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit python-any-r1 toolchain-funcs
+
+DESCRIPTION="light-weight X11 desktop panel"
+HOMEPAGE="https://aanatoly.github.io/fbpanel/";
+SRC_URI="https://aanatoly.github.io/fbpanel/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~mips ~ppc ~ppc64 ~x86"
+IUSE="alsa"
+
+RDEPEND="
+       dev-libs/glib:2
+       x11-libs/gdk-pixbuf:2[X]
+       x11-libs/gtk+:2
+       x11-libs/libX11
+       alsa? ( media-libs/alsa-lib )
+"
+DEPEND="
+       ${RDEPEND}
+       x11-base/xorg-proto
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-6.1-underlinking.patch
+       "${FILESDIR}"/${PN}-7.0-clang.patch
+       "${FILESDIR}"/${PN}-7.0-fno-common.patch
+       "${FILESDIR}"/${PN}-7.0-images.patch
+       "${FILESDIR}"/${PN}-7.0-python3-shebangs.patch
+)
+
+src_prepare() {
+       default
+       2to3 -n -w --no-diffs configure .config/*.py || die
+}
+
+src_configure() {
+       tc-export CC
+       # not autotools based
+       local myconfigure=(
+               ./configure V=1
+               --mandir="${EPREFIX}"/usr/share/man/man1
+               --datadir="${EPREFIX}"/usr/share/${PN}
+               --prefix="${EPREFIX}"/usr
+               --libdir="${EPREFIX}"/usr/$(get_libdir)/${PN}
+               $(usex alsa --sound --no-sound)
+       )
+       echo ${myconfigure[@]} || die
+       ${myconfigure[@]} || die
+}
+
+pkg_postinst() {
+       elog "For the volume plugin to work, you need to configure your kernel"
+       elog "with CONFIG_SND_MIXER_OSS or CONFIG_SOUND_PRIME or some other 
means"
+       elog "that provide the /dev/mixer device node."
+}

diff --git a/x11-misc/fbpanel/files/fbpanel-7.0-python3-shebangs.patch 
b/x11-misc/fbpanel/files/fbpanel-7.0-python3-shebangs.patch
new file mode 100644
index 00000000000..5f98657b42c
--- /dev/null
+++ b/x11-misc/fbpanel/files/fbpanel-7.0-python3-shebangs.patch
@@ -0,0 +1,120 @@
+--- a/.config/help
++++ b/.config/help
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python
++#!/usr/bin/env python3
+ 
+ import re, os, sys, textwrap
+ # Formats help message
+--- a/.config/repl.py
++++ b/.config/repl.py
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python
++#!/usr/bin/env python3
+ 
+ import re, sys
+ 
+--- a/.config/tar.py
++++ b/.config/tar.py
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python
++#!/usr/bin/env python3
+ 
+ import subprocess as sp
+ import re, tempfile
+--- a/configure
++++ b/configure
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python
++#!/usr/bin/env python3
+ 
+ import sys
+ if sys.version_info < (2, 7):
+--- a/exec/make_profile.in
++++ b/exec/make_profile.in
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/usr/bin/env bash
+ 
+ umask 0077
+ # new profile directory
+--- a/exec/xlogout
++++ b/exec/xlogout
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/usr/bin/env bash
+ 
+ # xlogout - logs user out of its X session
+ # Linux specific since uses /proc
+--- a/scripts/endianess.sh
++++ b/scripts/endianess.sh
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/usr/bin/env bash
+ 
+ # When cross compiling, you may put cross compiler directory 
+ # in PATH before native gcc (aka spoofing), or you may set CC 
+--- a/scripts/install_locale.sh
++++ b/scripts/install_locale.sh
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/usr/bin/env bash
+ 
+ dir=/tmp/lo-$$
+ mkdir $dir
+--- a/scripts/install_locale.sh.in
++++ b/scripts/install_locale.sh.in
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/usr/bin/env bash
+ 
+ dir=/tmp/lo-$$
+ mkdir $dir
+--- a/scripts/install.sh
++++ b/scripts/install.sh
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/usr/bin/env bash
+ 
+ usage () 
+ {
+--- a/scripts/mk_tar
++++ b/scripts/mk_tar
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/usr/bin/env bash
+ 
+ 
+ function info()
+--- a/scripts/rfs-pkg-config
++++ b/scripts/rfs-pkg-config
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/usr/bin/env bash
+ 
+ # Tt runs pkg-config in a way that everything is searched under RFS
+ # but reported including full path. Suitable for cross-compiling
+--- a/scripts/update-proj.sh
++++ b/scripts/update-proj.sh
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/usr/bin/env bash
+ 
+ function usage () 
+ {
+--- a/www/plugins/mk_gallery
++++ b/www/plugins/mk_gallery
+@@ -1,4 +1,4 @@
+-#!/bin/sh
++#!/usr/bin/env sh
+ 
+ echo > "$1"
+ #echo '<table cellpadding="0" cellspacing="0" border="0" align="left" 
bgcolor="#ffffff">' >> "$1"
+--- a/www/shots/mk_gallery
++++ b/www/shots/mk_gallery
+@@ -1,4 +1,4 @@
+-#!/bin/sh
++#!/usr/bin/env sh
+ 
+ function help ()
+ {

Reply via email to